StaticTypesMarker (Groovy 4.0.10)

Package: org.codehaus.groovy.transform.stc

## [Java] Enum StaticTypesMarker

- org.codehaus.groovy.transform.stc.StaticTypesMarker

-     public enum StaticTypesMarker
      extends Enum

  This enumeration is used by the AST transformations which rely on static type checking, either to store or to retrieve information from AST node metadata. The values of this enumeration are used as metadata keys.

- - ### Enum Constants Summary

    Enum constants classes
    Enum constant | Description
    --- | ---
    `CLOSURE_ARGUMENTS` |
    `CONSTRUCTED_LAMBDA_EXPRESSION` |
    `DECLARATION_INFERRED_TYPE` |
    `DELEGATION_METADATA` |
    `DIRECT_METHOD_CALL_TARGET` |
    `DYNAMIC_RESOLUTION` |
    `IMPLICIT_RECEIVER` |
    `INFERRED_FUNCTIONAL_INTERFACE_TYPE` |
    `INFERRED_RETURN_TYPE` |
    `INFERRED_TYPE` |
    `INITIAL_EXPRESSION` |
    `PARAMETER_TYPE` |
    `PV_FIELDS_ACCESS` |
    `PV_FIELDS_MUTATION` |
    `PV_METHODS_ACCESS` |
    `READONLY_PROPERTY` |
    `SUPER_MOP_METHOD_REQUIRED` |
    `SWITCH_CONDITION_EXPRESSION_TYPE` |
    `TYPE` |

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Enum` | `name, equals, toString, hashCode, compareTo, compareTo, valueOf, describeConstable, getDeclaringClass, ordinal, wait, wait, wait, getClass, notify, notifyAll`

- - ### Enum Constant Detail

    - #### public StaticTypesMarker CLOSURE_ARGUMENTS

    - #### public StaticTypesMarker CONSTRUCTED_LAMBDA_EXPRESSION

    - #### public StaticTypesMarker DECLARATION_INFERRED_TYPE

    - #### public StaticTypesMarker DELEGATION_METADATA

    - #### public StaticTypesMarker DIRECT_METHOD_CALL_TARGET

    - #### public StaticTypesMarker DYNAMIC_RESOLUTION

    - #### public StaticTypesMarker IMPLICIT_RECEIVER

    - #### public StaticTypesMarker INFERRED_FUNCTIONAL_INTERFACE_TYPE

    - #### public StaticTypesMarker INFERRED_RETURN_TYPE

    - #### public StaticTypesMarker INFERRED_TYPE

    - #### public StaticTypesMarker INITIAL_EXPRESSION

    - #### public StaticTypesMarker PARAMETER_TYPE

    - #### public StaticTypesMarker PV_FIELDS_ACCESS

    - #### public StaticTypesMarker PV_FIELDS_MUTATION

    - #### public StaticTypesMarker PV_METHODS_ACCESS

    - #### public StaticTypesMarker READONLY_PROPERTY

    - #### public StaticTypesMarker SUPER_MOP_METHOD_REQUIRED

    - #### public StaticTypesMarker SWITCH_CONDITION_EXPRESSION_TYPE

    - #### public StaticTypesMarker TYPE